For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for APIs, version Calculations.
For other versions, use one of these documentation indexes:
- Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
- Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
- E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
- Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
- Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
- Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
- 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
- Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
- ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
- Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt
Access control: this endpoint is available to users with the everyone role.
Get all lodging Tax Names and Tax Jurisdiction names for a given state. Optional query filter available.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
statestringRequired
US state.
Query parameters
querystringOptional
Query filter to apply to result list, ie "Accomodations".
Response
OK
companyIdinteger
AvaTax Company ID.
taxJurisdictionNamestring>=1 character
taxJurisdictionLevelstring>=1 character
taxNamestring>=1 character
statestring>=1 character
udfValuestring1-10 characters
accountIdinteger or nullOptional1-2147483647
AvaTax Account ID.
createdByintegerOptionalRead-only
Created user ID.
createdDatestring or nullOptionalRead-only
Created date.
modifiedByintegerOptionalRead-only
Last modifying user ID.
modifiedDatestring or nullOptionalRead-only
Last modified date.
customerSourceFieldstring or nullOptional<=160 characters
approvedbooleanOptional
udfKeystring or nullOptionalformat: "^[a-zA-Z]+$"1-32 characters
udfDatasetIdstring or nullOptional
isCurrentboolean or nullOptional
Indicates whether this is the current active record.
This property is read-only and any attempts to set its value will be ignored.
The value is calculated internally based on the record’s state.